View Issue Details

IDProjectCategoryView StatusLast Update
0000249Adventure PHP FrameworkCode-Verbesserung // Code improvementpublic2015-10-12 12:19
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000249: Allow singleton instance creation with additional arguments
DescriptionObject creation using Singleton::getInstance() currently does not support applying constructor arguments. This means that you have to use getter injection to resolve dependencies.

Within this issue, the getInstance() method should be enhanced to support constructor injection (optional) along with enhancement of the respective wrapper methods within APFObject.

ApplicationSingleton, SessionSingleton, Singleton:
--------------------------------------------------
public static function &getInstance($class, array $arguments = [], $instanceId = null);

Enable ServiceManager to leverage the initialization method within the getServiceObject() method.

Optionally, allow parameter injection in DIServiceManager::getServiceObject() along with the service manager imlementation.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacecore

Activities

ChristianAchatz

2015-04-15 09:21

administrator   ~0000569

- Implementation done.
- Code base migration done.
- Documentation in progress.
- Migration script outstanding.

ChristianAchatz

2015-04-18 14:21

administrator   ~0000572

- Documentation done.

ChristianAchatz

2015-04-18 17:28

administrator   ~0000573

- Migration scripts done.

Issue History

Date Modified Username Field Change
2015-04-09 10:55 ChristianAchatz New Issue
2015-04-09 10:55 ChristianAchatz Status new => assigned
2015-04-09 10:55 ChristianAchatz Assigned To => ChristianAchatz
2015-04-09 13:35 ChristianAchatz Description Updated View Revisions
2015-04-15 09:21 ChristianAchatz Note Added: 0000569
2015-04-18 14:21 ChristianAchatz Note Added: 0000572
2015-04-18 17:28 ChristianAchatz Note Added: 0000573
2015-04-18 17:28 ChristianAchatz Status assigned => resolved
2015-04-18 17:28 ChristianAchatz Fixed in Version => 3.0
2015-04-18 17:28 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed